


clear
set mem 500m
set maxvar 20000

log using "E:\usbdrive7siyah64gb_1\bethsabbaticalproject\fertilitypaper1.smcl", replace

use "E:\usbdrive7siyah64gb_1\bethsabbaticalproject\couplewave10final.dta", clear


drop if pjob23i1_10==.


gen male=0
replace male=1 if sex_gen_10==1|psex_10==1
tab male,m

gen female=0
replace female=1 if sex_gen_10==2|psex_10==2
tab female,m


drop if male==0|female==0


*/ employed

gen femp=0
replace femp=1 if [erw1_10==1]&sex_gen_10==2
replace femp=1 if [sdp12_10~=-3&sdp12_10~=-3]&psex_10==2
tab femp,m



gen memp=0
replace memp=1 if [erw1_10==1]&sex_gen_10==1
replace memp=1 if [sdp12_10~=-3&sdp12_10~=-3]&psex_10==1
tab memp,m


keep if memp==1&femp==1

keep if [relstat_10==3|relstat_10==4]




*/ outcome

gen magr=.
replace magr=frt17_10 if sex_gen_10==1
replace magr=pfrt17_10 if psex_gen_10==1
replace magr=. if frt17_10==-2|frt17_10==6|pfrt17_10==-2|pfrt17_10==6
tab magr,m


gen magr2=.
replace magr2=1 if magr==1|magr==2|magr==3
replace magr2=2 if magr==4
replace magr2=3 if magr==5
replace magr2=. if magr==.
tab magr2,m



gen fagr=.
replace fagr=frt17_10 if sex_gen_10==2
replace fagr=pfrt17_10 if psex_gen_10==2
replace fagr=. if frt17_10==-2|frt17_10==6|pfrt17_10==-2|pfrt17_10==6
tab fagr,m



gen fagr2=.
replace fagr2=1 if fagr==1|fagr==2|fagr==3
replace fagr2=2 if fagr==4
replace fagr2=3 if fagr==5
replace fagr2=. if fagr==.
tab fagr2,m



drop if magr==-3|fagr==-3


gen mage10=.
replace mage10=age_10 if sex_gen_10==1
replace mage10=page_10 if psex_gen_10==1
tab mage10,m


gen fage10=.
replace fage10=age_10 if sex_gen_10==2
replace fage10=page_10 if psex_gen_10==2
tab fage10,m





*/ time aspect of work

*/ work hours


gen mwrkhours10=.
replace mwrkhours10=job7_10 if sex_gen_10==1
replace mwrkhours10=sdp12_10 if psex_10==1
replace mwrkhours10=. if job7_10==-2|job7_10==-1|sdp12_10==-1|sdp12_10==-2
tab mwrkhours10,m


gen fwrkhours10=.
replace fwrkhours10=job7_10 if sex_gen_10==2
replace fwrkhours10=sdp12_10 if psex_10==2
replace fwrkhours10=. if job7_10==-2|job7_10==-1|sdp12_10==-1|sdp12_10==-2
tab fwrkhours10,m


rename fwrkhours10 fwrk10

rename mwrkhours10 mwrk10


gen mwrk102=.
replace mwrk102=mwrk10
replace mwrk102=60 if mwrk10>=60&mwrk10~=.
replace mwrk102=. if mwrk10==.
tab mwrk102,m

gen fwrk102=.
replace fwrk102=fwrk10
replace fwrk102=60 if fwrk10>=60&fwrk10~=.
replace fwrk102=. if fwrk10==.
tab fwrk102,m


gen mpart10=0
replace mpart10=1 if mwrk10<30&mwrk10~=.
replace mpart10=. if mwrk10==.
tab mpart10,m


gen fpart10=0
replace fpart10=1 if fwrk10<30&fwrk10~=.
replace fpart10=. if fwrk10==.
tab fpart10,m



gen fparton=0
replace fparton=1 if fpart10==1&mpart10==0
replace fparton=. if mwrk10==.|fwrk10==.
tab fparton,m



gen bothfl=0
replace bothfl=1 if mpart10==0&fpart10==0
replace bothfl=. if mwrk10==.|fwrk10==.
tab bothfl,m


gen bothnfl=0
replace bothnfl=1 if mpart10==1&fpart10==1
replace bothnfl=. if mwrk10==.|fwrk10==.
tab bothnfl,m


gen mparton=0
replace mparton=1 if fpart10==0&mpart10==1
replace mparton=. if mwrk10==.|fwrk10==.
tab mparton,m



gen fullcat=.
replace fullcat=1 if bothfl==1
replace fullcat=2 if fparton==1
replace fullcat=3 if mparton==1
replace fullcat=4 if bothnfl==1
replace fullcat=. if mwrk10==.|fwrk10==.
tab fullcat,m




*/ work-family conflict

*/ wfc at wave 10


gen fjob110=.
replace fjob110=job23i1_10 if sex_gen_10==2
replace fjob110=pjob23i1_10 if psex_10==2
replace fjob110=. if job23i1_10==-2|pjob23i1_10==96|job23i1_10==96|pjob23i1_10==-2|job23i1_10==-1|job23i1_10==-9|pjob23i1_10==-1|pjob23i1_10==-9
tab fjob110,m

      
gen fjob210=.
replace fjob210=job23i2_10 if sex_gen_10==2
replace fjob210=pjob23i2_10 if psex_10==2
replace fjob210=. if job23i2_10==-2|pjob23i2_10==96|job23i2_10==96|pjob23i2_10==-2|job23i2_10==-1|job23i2_10==-9|pjob23i2_10==-1|pjob23i2_10==-9
tab fjob210,m


gen fjob310=.
replace fjob310=job23i3_10 if sex_gen_10==2
replace fjob310=pjob23i3_10 if psex_10==2
replace fjob310=. if job23i3_10==-2|pjob23i3_10==96|job23i3_10==96|pjob23i3_10==-2|job23i3_10==-1|job23i3_10==-9|pjob23i3_10==-1|pjob23i3_10==-9
tab fjob310,m

      
gen fjob410=.
replace fjob410=job23i4_10 if sex_gen_10==2
replace fjob410=pjob23i4_10 if psex_10==2
replace fjob410=. if job23i4_10==-2|pjob23i4_10==96|job23i4_10==96|pjob23i4_10==-2|job23i4_10==-1|job23i4_10==-9|pjob23i4_10==-1|pjob23i4_10==-9
tab fjob410,m

      
gen fjob510=.
replace fjob510=job23i5_10 if sex_gen_10==2
replace fjob510=pjob23i5_10 if psex_10==2
replace fjob510=. if job23i5_10==-2|pjob23i5_10==96|job23i5_10==96|pjob23i5_10==-2|job23i5_10==-1|job23i5_10==-9|pjob23i5_10==-1|pjob23i5_10==-9
tab fjob510,m

      
gen fjob610=.
replace fjob610=job23i6_10 if sex_gen_10==2
replace fjob610=pjob23i6_10 if psex_10==2
replace fjob610=. if job23i6_10==-2|pjob23i6_10==96|job23i6_10==96|pjob23i6_10==-2|job23i6_10==-1|job23i6_10==-9|pjob23i6_10==-1|pjob23i6_10==-9
tab fjob610,m

      
gen fjob710=.
replace fjob710=job23i7_10 if sex_gen_10==2
replace fjob710=pjob23i7_10 if psex_10==2
replace fjob710=. if job23i7_10==-2|pjob23i7_10==96|job23i7_10==96|pjob23i7_10==-2|job23i7_10==-1|job23i7_10==-9|pjob23i7_10==-1|pjob23i7_10==-9
tab fjob710,m

     
gen fjob810=.
replace fjob810=job23i8_10 if sex_gen_10==2
replace fjob810=pjob23i8_10 if psex_10==2
replace fjob810=. if job23i8_10==-2|pjob23i8_10==96|job23i8_10==96|pjob23i8_10==-2|job23i8_10==-1|job23i8_10==-9|pjob23i8_10==-1|pjob23i8_10==-9
tab fjob810,m

    
	
factor fjob110 fjob210 fjob310 fjob410 fjob510 fjob610 fjob710 fjob810

rotate, varimax


gen fwfconf10=.
replace fwfconf10=[fjob110+fjob410+fjob710+fjob810]/4
replace fwfconf10=. if fjob110==.|fjob410==.|fjob710==.|fjob810==.
tab fwfconf10,m
sum fwfconf10,detail



gen ffwconf10=.
replace ffwconf10=[fjob210+fjob310+fjob510+fjob610]/4
replace ffwconf10=. if fjob210==.|fjob310==.|fjob510==.|fjob610==.
tab ffwconf10,m
sum ffwconf10,detail




*/ male wfc



gen mjob110=.
replace mjob110=job23i1_10 if sex_gen_10==1
replace mjob110=pjob23i1_10 if psex_10==1
replace mjob110=. if job23i1_10==-2|pjob23i1_10==96|job23i1_10==96|pjob23i1_10==-2|job23i1_10==-1|job23i1_10==-9|pjob23i1_10==-1|pjob23i1_10==-9
tab mjob110,m

      
gen mjob210=.
replace mjob210=job23i2_10 if sex_gen_10==1
replace mjob210=pjob23i2_10 if psex_10==1
replace mjob210=. if job23i2_10==-2|pjob23i2_10==96|job23i2_10==96|pjob23i2_10==-2|job23i2_10==-1|job23i2_10==-9|pjob23i2_10==-1|pjob23i2_10==-9
tab mjob210,m


gen mjob310=.
replace mjob310=job23i3_10 if sex_gen_10==1
replace mjob310=pjob23i3_10 if psex_10==1
replace mjob310=. if job23i3_10==-2|pjob23i3_10==96|job23i3_10==96|pjob23i3_10==-2|job23i3_10==-1|job23i3_10==-9|pjob23i3_10==-1|pjob23i3_10==-9
tab mjob310,m

      
gen mjob410=.
replace mjob410=job23i4_10 if sex_gen_10==1
replace mjob410=pjob23i4_10 if psex_10==1
replace mjob410=. if job23i4_10==-2|pjob23i4_10==96|job23i4_10==96|pjob23i4_10==-2|job23i4_10==-1|job23i4_10==-9|pjob23i4_10==-1|pjob23i4_10==-9
tab mjob410,m
      
gen mjob510=.
replace mjob510=job23i5_10 if sex_gen_10==1
replace mjob510=pjob23i5_10 if psex_10==1
replace mjob510=. if job23i5_10==-2|pjob23i5_10==96|job23i5_10==96|pjob23i5_10==-2|job23i5_10==-1|job23i5_10==-9|pjob23i5_10==-1|pjob23i5_10==-9
tab mjob510,m

      
gen mjob610=.
replace mjob610=job23i6_10 if sex_gen_10==1
replace mjob610=pjob23i6_10 if psex_10==1
replace mjob610=. if job23i6_10==-2|pjob23i6_10==96|job23i6_10==96|pjob23i6_10==-2|job23i6_10==-1|job23i6_10==-9|pjob23i6_10==-1|pjob23i6_10==-9
tab mjob610,m

      
gen mjob710=.
replace mjob710=job23i7_10 if sex_gen_10==1
replace mjob710=pjob23i7_10 if psex_10==1
replace mjob710=. if job23i7_10==-2|pjob23i7_10==96|job23i7_10==96|pjob23i7_10==-2|job23i7_10==-1|job23i7_10==-9|pjob23i7_10==-1|pjob23i7_10==-9
tab mjob710,m

     
gen mjob810=.
replace mjob810=job23i8_10 if sex_gen_10==1
replace mjob810=pjob23i8_10 if psex_10==1
replace mjob810=. if job23i8_10==-2|pjob23i8_10==96|job23i8_10==96|pjob23i8_10==-2|job23i8_10==-1|job23i8_10==-9|pjob23i8_10==-1|pjob23i8_10==-9
tab mjob810,m





factor mjob110 mjob210 mjob310 mjob410 mjob510 mjob610 mjob710 mjob810

rotate, varimax

gen mwfconf10=.
replace mwfconf10=[mjob110+mjob410+mjob710+mjob810]/4
replace mwfconf10=. if mjob110==.|mjob410==.|mjob710==.|mjob810==.
tab mwfconf10,m
sum mwfconf10,detail

   
	
gen mfwconf10=.
replace mfwconf10=[mjob210+mjob310+mjob510+mjob610]/4
replace mfwconf10=. if mjob210==.|mjob310==.|mjob510==.|mjob610==.
tab mfwconf10,m
sum mfwconf10,detail


rename fwfconf10 fwf10
rename ffwconf10 ffw10

rename mwfconf10 mwf10
rename mfwconf10 mfw10


alpha mjob110 mjob410 mjob710 mjob810
alpha fjob110 fjob410 fjob710 fjob810

alpha mjob210 mjob310 mjob510 mjob610
alpha fjob210 fjob310 fjob510 fjob610



regress magr mwf10 fwf10 mwrk10 fwrk10



*/ difference in wfc

gen cwfdif=.
replace cwfdif=[mwf10-fwf10]
replace cwfdif=. if mwf10==.|fwf10==.
tab cwfdif,m


gen samewf=0
replace samewf=1 if [cwfdif>-1&cwfdif<1]&cwfdif~=.
replace samewf=. if cwfdif==.
tab samewf,m

gen fwfmore=0
replace fwfmore=1 if cwfdif<=-1
replace fwfmore=. if cwfdif==.
tab fwfmore,m

gen mwfmore=0
replace mwfmore=1 if cwfdif>=1
replace mwfmore=. if cwfdif==.
tab mwfmore,m


*/ difference in fwc

gen cfwdif=.
replace cfwdif=[mfw10-ffw10]
replace cfwdif=. if mfw10==.|ffw10==.
tab cfwdif,m


gen samefw=0
replace samefw=1 if [cfwdif>-1&cfwdif<1]&cfwdif~=.
replace samefw=. if cfwdif==.
tab samefw,m

gen ffwmore=0
replace ffwmore=1 if cfwdif<=-1
replace ffwmore=. if cfwdif==.
tab ffwmore,m

gen mfwmore=0
replace mfwmore=1 if cfwdif>=1
replace mfwmore=. if cfwdif==.
tab mfwmore,m





*/ marital duration

gen durmar=.
replace durmar=[mardur_10]/12 
replace durmar=. if mardur_10==-3
tab durmar,m

gen logdur=.
replace logdur=log(durmar)
replace logdur=. if durmar==.
tab logdur,m

  
regress fagr2 mwf10 fwf10 mwrk10 fwrk10 fage10 mage10

  

*/ cohabitation duration


gen cohdurmar=.
replace cohdurmar=[cohabdur_10]/12 
replace cohdurmar=. if cohabdur_10==-3
tab cohdurmar,m

gen logdurcohab=.
replace logdurcohab=log(cohabdur_10)
replace logdurcohab=. if cohabdur_10==.
tab logdurcohab,m

  
gen sqrdurcoh=.
replace sqrdurcoh=sqrt(cohdurmar)
replace sqrdurcoh=. if cohdurmar==.
tab sqrdurcoh,m




gen durboth=.
replace durboth=durmar if marstat_10==2
replace durboth=cohdurmar if marstat_10==1
replace durboth=. if marstat_10==3|marstat_10==-7
tab durboth,m


gen durlog=.
replace durlog=log(2+durboth)
replace durlog=. if durboth==.
tab durlog,m



gen married=0
replace married=1 if marstat_10==2&pmarstat_10==2
tab married,m



rename durboth dur10


rename married mar10



  
regress fagr2 mwf10 fwf10 mwrk10 fwrk10 mar10 dur10

  
regress magr2 mwf10 fwf10 mwrk10 fwrk10 mar10 dur10




*/ number of children living in the household


gen numch10=.
replace numch10=childmrd_10
tab numch10,m

 
gen numch11=.
replace numch11=numch10
replace numch11=3 if numch10>=3&numch10~=.
replace numch11=. if numch10==.
tab numch10,m
 
 
gen presch10=0
replace presch10=1 if numch10>0
replace presch10=. if numch10==.
tab presch10,m


*/ age of youngest child

gen ageyoungch10=.
replace ageyoungch10=[ykage_10]/12 if numch10~=0
replace ageyoungch10=. if ykage_10==-7|ykage_10==-3
tab ageyoungch10,m

 
gen preschool10=0
replace preschool10=1 if ageyoungch10<6&ageyoungch10~=.
replace preschool10=. if ageyoungch10==.&presch10==1
tab preschool10,m
 


rename preschool10 pre10


regress magr2 mwf10 fwf10 mwrk10 fwrk10 mar10 dur10 pre10



*/education in wave 10

gen mschool10=.
replace mschool10=school_10 if sex_gen_10==1
replace mschool10=pschool_10 if psex_gen_10==1
replace mschool10=. if school_10==.|pschool_10==-7
tab mschool10,m


gen msch110=0
replace msch110=1 if mschool10==1|mschool10==2|mschool10==3
replace msch110=. if mschool10==.
tab msch110,m

   
gen msch210=0
replace msch210=1 if mschool10==4|mschool10==5
replace msch210=. if mschool10==.
tab msch210,m


gen msch310=0
replace msch310=1 if mschool10==6|mschool10==7|mschool10==8
replace msch310=. if mschool10==.
tab msch310,m


gen meduc10=.
replace meduc10=1 if msch110==1
replace meduc10=2 if msch210==1
replace meduc10=3 if msch310==1
tab meduc10,m

 
gen fschool10=.
replace fschool10=school_10 if sex_gen_10==2
replace fschool10=pschool_10 if psex_gen_10==2
replace fschool10=. if school_10==.|pschool_10==-7
tab fschool10,m


gen fsch110=0
replace fsch110=1 if fschool10==1|fschool10==2|fschool10==3
replace fsch110=. if fschool10==.
tab fsch110,m

   
gen fsch210=0
replace fsch210=1 if fschool10==4|fschool10==5
replace fsch210=. if fschool10==.
tab fsch210,m


gen fsch310=0
replace fsch310=1 if fschool10==6|fschool10==7|fschool10==8
replace fsch310=. if fschool10==.
tab fsch310,m


gen feduc10=.
replace feduc10=1 if fsch110==1
replace feduc10=2 if fsch210==1
replace feduc10=3 if fsch310==1
tab feduc10,m



gen educ10=.
replace educ10=1 if [msch110==1&fsch110==1]|[msch210==1&fsch210==1]|[fsch310==1&msch310==1]
replace educ10=2 if [msch210==1&fsch110==1]|[msch310==1&fsch210==1]|[msch310==1&fsch110==1]
replace educ10=3 if [fsch210==1&msch110==1]|[fsch310==1&msch210==1]|[fsch310==1&msch110==1]
tab educ10,m


gen bothhigh=0
replace bothhigh=1 if msch310==1&fsch310==1
replace bothhigh=. if educ10==.
tab bothhigh,m


gen mhighon=0
replace mhighon=1 if msch310==1&fsch310==0
replace mhighon=. if educ10==.
tab mhighon,m


gen fhighon=0
replace fhighon=1 if fsch310==1&msch310==0
replace fhighon=. if educ10==.
tab fhighon,m


gen nohigh=0
replace nohigh=1 if fsch310==0&msch310==0
replace nohigh=. if educ10==.
tab nohigh,m




gen educcat=.
replace educcat=1 if bothhigh==1
replace educcat=2 if mhighon==1
replace educcat=3 if fhighon==1
replace educcat=4 if nohigh==1
replace educcat=. if educ10==.
tab educcat,m



*/ income

gen mincome10=.
replace mincome10=inc2_10 if sex_gen_10==1
replace mincome10=pinc2_10 if psex_gen_10==1
replace mincome10=. if inc2_10==-1|inc2_10==-2|inc2_10==-3|pinc2_10==-1|pinc2_10==-2|pinc2_10==-3
tab mincome10,m


gen mincome10log=.
replace mincome10log=log(mincome10)
replace mincome10log=. if mincome10==.
tab mincome10log,m




gen fincome10=.
replace fincome10=inc2_10 if sex_gen_10==2
replace fincome10=pinc2_10 if psex_gen_10==2
replace fincome10=. if inc2_10==-1|inc2_10==-2|inc2_10==-3|pinc2_10==-1|pinc2_10==-2|pinc2_10==-3
tab fincome10,m


gen fincome10log=.
replace fincome10log=log(fincome10)
replace fincome10log=. if fincome10==.
tab fincome10log,m



gen hincome10=.
replace hincome10=hhincnet_10
replace hincome10=. if hhincnet_10==-7
tab hincome10,m


gen hincome10log=.
replace hincome10log=log(hincome10)
replace hincome10log=. if hincome10==.
tab hincome10log,m


rename hincome10log hinc10
rename fincome10log finc10
rename mincome10log minc10


regress magr2 mwf10 fwf10 mwrk10 fwrk10 mar10 dur10 pre10 hinc10 msch310 fsch310

gen frelinc=.
replace frelinc=[fincome10/hincome10]*100
replace frelinc=. if fincome10==.|hincome10==.
tab frelinc,m

gen frelinc2=.
replace frelinc2=frelinc
replace frelinc2=100 if frelinc>=100&frelinc~=.
replace frelinc2=. if frelinc==.
tab frelinc2,m

gen frelinc3=0
replace frelinc3=1 if frelinc2>=40
replace frelinc3=. if frelinc2==.
tab frelinc3,m

gen frelinc4=0
replace frelinc4=1 if frelinc2>50
replace frelinc4=. if frelinc2==.
tab frelinc4,m

gen frelinc5=0
replace frelinc5=1 if frelinc2>-75
replace frelinc5=. if frelinc2==.
tab frelinc5,m


gen mrelinc=.
replace mrelinc=[mincome10/hincome10]*100
replace mrelinc=. if mincome10==.|hincome10==.
tab mrelinc,m

gen mrelinc2=.
replace mrelinc2=mrelinc
replace mrelinc2=100 if mrelinc>=100&mrelinc~=.
replace mrelinc2=. if mrelinc==.
tab mrelinc2,m


gen mrelinc3=0
replace mrelinc3=1 if mrelinc2>=75
replace mrelinc3=. if mrelinc2==.
tab mrelinc3,m


gen mfrelinc=.
replace mfrelinc=[fincome10/mincome10]*100
replace mfrelinc=. if fincome10==.|mincome10==.
tab mfrelinc,m


gen mfrelinc2=0
replace mfrelinc2=1 if mfrelinc>=75&mfrelinc~=.
replace mfrelinc2=. if mfrelinc==.
tab mfrelinc2,m


*/ interactions

gen mwffrel=.
replace mwffrel=mwf10*frelinc2
replace mwffrel=. if mwf10==.|frelinc2==.
tab mwffrel,m


gen fwffrel=.
replace fwffrel=fwf10*frelinc2
replace fwffrel=. if fwf10==.|frelinc2==.
tab fwffrel,m


gen mfwfrel=.
replace mfwfrel=mfw10*frelinc2
replace mfwfrel=. if mfw10==.|frelinc2==.
tab mfwfrel,m


gen ffwfrel=.
replace ffwfrel=ffw10*frelinc2
replace ffwfrel=. if ffw10==.|frelinc2==.
tab ffwfrel,m




*/ nationality


gen mnat10=.
replace mnat10=nat1_10 if sex_gen_10==1
replace mnat10=pnat1_10 if psex_gen_10==1
replace mnat10=. if nat1_10==-7|pnat1_10==-7
tab mnat10,m

gen mnatcat10=0
replace mnatcat10=1 if mnat10==1
replace mnatcat10=. if mnat10==.
tab mnatcat10,m


gen fnat10=.
replace fnat10=nat1_10 if sex_gen_10==2
replace fnat10=pnat1_10 if psex_gen_10==2
replace fnat10=. if nat1_10==-7|pnat1_10==-7
tab fnat10,m

gen fnatcat10=0
replace fnatcat10=1 if fnat10==1
replace fnatcat10=. if fnat10==.
tab fnatcat10,m


rename mnatcat10 mnat10n
rename fnatcat10 fnat10n

 
*/ east-west comparison


gen east10=0
replace east10=1 if east_10==1
tab east10,m
 





*/ parental age

gen mmage10=.
replace mmage10=[2018-doby_gen_10] if sex_gen_10==1
replace mmage10=[2018-pdoby_gen_10] if psex_gen_10==1
tab mmage10,m


gen ffage10=.
replace ffage10=[2018-doby_gen_10] if sex_gen_10==2
replace ffage10=[2018-pdoby_gen_10] if psex_gen_10==2
tab ffage10,m






*/ fertility plans



gen mdv10=.
replace mdv10=0 if sex_gen_10==1&[frt26_10==7|frt27_10==2]
replace mdv10=0 if psex_gen_10==1&pfrt27_10==2
replace mdv10=1 if sex_gen_10==1&[frt26_10==1|[frt27_10==1&frt28_10==1]]
replace mdv10=1 if psex_gen_10==1&[pfrt27_10==1&pfrt28_10==1]
replace mdv10=2 if sex_gen_10==1&[frt26_10==2|[frt27_10==1&frt28_10==2]]
replace mdv10=2 if psex_gen_10==1&[pfrt27_10==1&pfrt28_10==2]
replace mdv10=3 if sex_gen_10==1&[frt26_10==3|[frt27_10==1&frt28_10==3]]
replace mdv10=3 if psex_gen_10==1&[pfrt27_10==1&pfrt28_10==3]
replace mdv10=4 if sex_gen_10==1&[frt26_10==4|[frt27_10==1&frt28_10==4]]
replace mdv10=4 if psex_gen_10==1&[pfrt27_10==1&pfrt28_10==4]
tab mdv10,m



gen mdv102=.
replace mdv102=mdv10
replace mdv102=2 if mdv10>=2&mdv10~=.
replace mdv102=. if mdv10==.
tab mdv102,m


gen mdv103=0
replace mdv103=1 if mdv102>0&mdv102~=.
replace mdv103=. if mdv102==.
tab mdv103,m




gen fdv10=.
replace fdv10=0 if sex_gen_10==2&[frt26_10==7|frt27_10==2]
replace fdv10=0 if psex_gen_10==2&pfrt27_10==2
replace fdv10=1 if sex_gen_10==2&[frt26_10==1|[frt27_10==1&frt28_10==1]]
replace fdv10=1 if psex_gen_10==2&[pfrt27_10==1&pfrt28_10==1]
replace fdv10=2 if sex_gen_10==2&[frt26_10==2|[frt27_10==1&frt28_10==2]]
replace fdv10=2 if psex_gen_10==2&[pfrt27_10==1&pfrt28_10==2]
replace fdv10=3 if sex_gen_10==2&[frt26_10==3|[frt27_10==1&frt28_10==3]]
replace fdv10=3 if psex_gen_10==2&[pfrt27_10==1&pfrt28_10==3]
replace fdv10=4 if sex_gen_10==2&[frt26_10==4|[frt27_10==1&frt28_10==4]]
replace fdv10=4 if psex_gen_10==2&[pfrt27_10==1&pfrt28_10==4]
tab fdv10,m



gen fdv102=.
replace fdv102=fdv10
replace fdv102=2 if fdv10>=2&fdv10~=.
replace fdv102=. if fdv10==.
tab fdv102,m


gen fdv103=0
replace fdv103=1 if fdv102>0&fdv102~=.
replace fdv103=. if fdv102==.
tab fdv103,m



gen ch10=0
replace ch10=1 if ehc9k1_10==1|ehc9k1_10==2|ehc9k1_10==3|ehc9k1_10==4
tab ch10,m

gen ch20=0
replace ch20=1 if ehc9k2_10==1|ehc9k2_10==2|ehc9k2_10==3|ehc9k2_10==4
tab ch20,m


gen ch30=0
replace ch30=1 if ehc9k3_10==1|ehc9k3_10==2|ehc9k3_10==3|ehc9k3_10==4
tab ch30,m



gen ch40=0
replace ch40=1 if ehc9k4_10==1|ehc9k4_10==2|ehc9k4_10==3|ehc9k4_10==4
tab ch40,m


gen ch50=0
replace ch50=1 if ehc9k5_10==1|ehc9k5_10==2|ehc9k5_10==3|ehc9k5_10==4
tab ch50,m



gen ch100=.
replace ch100=ch10+ch20+ch30+ch40+ch50
tab ch100,m


gen ch101=.
replace ch101=ch100
replace ch101=3 if ch100>=3&ch100~=.
replace ch101=. if ch100==.
tab ch101,m


gen par10=.
replace par10=1 if ch100>0&ch100~=.
replace par10=0 if ch100==0
replace par10=. if ch100==.
tab par10,m



gen child10=0
replace child10=1 if childmrd_10>0
replace child10=. if childmrd_10==.
tab child10,m
 

*/ importance of work


gen impwork=.
replace impwork=srs1i1_10
replace impwork=. if srs1i1_10==-1|srs1i1_10==-2
tab impwork,m


gen pimpwork=.
replace pimpwork=psrs1i1_10
replace pimpwork=. if psrs1i1_10==-1|psrs1i1_10==-2
tab pimpwork,m



gen mimpwork=0
replace mimpwork=impwork if sex_gen_10==1
replace mimpwork=pimpwork if psex_gen_10==1
replace mimpwork=. if impwork==.|pimpwork==.
tab mimpwork,m


gen fimpwork=0
replace fimpwork=impwork if sex_gen_10==2
replace fimpwork=pimpwork if psex_gen_10==2
replace fimpwork=. if impwork==.|pimpwork==.
tab fimpwork,m



gen fimpwork1=0
replace fimpwork1=1 if fimpwork>3&fimpwork~=.
replace fimpwork1=. if fimpwork==.
tab fimpwork1,m


gen mimpwork1=0
replace mimpwork1=1 if mimpwork>3&mimpwork~=.
replace mimpwork1=. if mimpwork==.
tab mimpwork1,m


gen monwrk=0
replace monwrk=1 if mimpwork1==1&fimpwork1==0
replace monwrk=. if mimpwork==.|fimpwork==.
tab monwrk,m


gen bothwork=0
replace bothwork=1 if mimpwork1==1&fimpwork1==1
replace bothwork=. if mimpwork==.|fimpwork==.
tab bothwork,m

gen nonework=0
replace nonework=1 if mimpwork1==0&fimpwork1==0
replace nonework=. if mimpwork==.|fimpwork==.
tab nonework,m

gen fonwrk=0
replace fonwrk=1 if fimpwork1==1&mimpwork1==0
replace fonwrk=. if mimpwork==.|fimpwork==.
tab fonwrk,m



gen catwork=0
replace catwork=1 if bothwork==1
replace catwork=2 if monwrk==1
replace catwork=3 if fonwrk==1
replace catwork=4 if nonework==1
replace catwork=. if mimpwork==.|fimpwork==.
tab catwork,m



regress fagr2 ffw10 mfw10 mwrk10 fwrk10 mar10 dur10 hinc10 msch310 fsch310 east10 par10 c.mfw10#i.catwork c.ffw10#i.catwork


gen impfam=.
replace impfam=[srs1i4_10+srs1i5_10]/2
replace impfam=. if srs1i4_10==-1|srs1i4_10==-2|srs1i5_10==-1|srs1i5_10==-2
tab impfam,m

gen pimpfam=.
replace pimpfam=[psrs1i4_10+psrs1i5_10]/2
replace pimpfam=. if psrs1i4_10==-1|psrs1i4_10==-2|psrs1i5_10==-1|psrs1i5_10==-2
tab pimpfam,m


gen mimpfam=.
replace mimpfam=impfam if sex_gen_10==1
replace mimpfam=pimpfam if psex_gen_10==1
replace mimpfam=. if pimpfam==.|impfam==.
tab mimpfam,m



gen mimpfam1=0
replace mimpfam1=1 if mimpfam>3&mimpfam~=.
replace mimpfam1=. if mimpfam==.
tab mimpfam1,m



gen fimpfam=.
replace fimpfam=impfam if sex_gen_10==2
replace fimpfam=pimpfam if psex_gen_10==2
replace fimpfam=. if pimpfam==.|impfam==.
tab fimpfam,m



gen fimpfam1=0
replace fimpfam1=1 if fimpfam>3&fimpfam~=.
replace fimpfam1=. if fimpfam==.
tab fimpfam1,m



gen monfam=0
replace monfam=1 if mimpfam1==1&fimpfam1==0
replace monfam=. if mimpfam==.|fimpfam==.
tab monfam,m


gen bothfam=0
replace bothfam=1 if mimpfam1==1&fimpfam1==1
replace bothfam=. if mimpfam==.|fimpfam==.
tab bothfam,m

gen nonefam=0
replace nonefam=1 if mimpfam1==0&fimpfam1==0
replace nonefam=. if mimpfam==.|fimpfam==.
tab nonefam,m

gen fonfam=0
replace fonfam=1 if fimpfam1==1&mimpfam1==0
replace fonfam=. if mimpfam==.|fimpfam==.
tab fonfam,m



gen catfam=0
replace catfam=1 if bothfam==1
replace catfam=2 if monfam==1
replace catfam=3 if fonfam==1
replace catfam=4 if nonefam==1
replace catfam=. if mimpfam==.|fimpfam==.
tab catfam,m




regress fagr2 fwf10 mwf10 mwrk10 fwrk10 mar10 dur10 hinc10 msch310 fsch310 east10 par10 c.mwf10#i.catfam c.fwf10#i.catfam






 
gen impch=.
replace impch=srs1i5_10
replace impch=. if srs1i5_10==-1|srs1i5_10==-2
tab impch,m


gen pimpch=.
replace pimpch=psrs1i5_10
replace pimpch=. if psrs1i5_10==-1|psrs1i5_10==-2
tab pimpch,m



gen mimpch=0
replace mimpch=impch if sex_gen_10==1
replace mimpch=pimpch if psex_gen_10==1
replace mimpch=. if impch==.|pimpch==.
tab mimpch,m


gen fimpch=0
replace fimpch=impch if sex_gen_10==2
replace fimpch=pimpch if psex_gen_10==2
replace fimpch=. if impch==.|pimpch==.
tab fimpch,m


gen fimpch1=0
replace fimpch1=1 if fimpch>2&fimpch~=.
replace fimpch1=. if fimpch==.
tab fimpch1,m


gen mimpch1=0
replace mimpch1=1 if mimpch>2&mimpch~=.
replace mimpch1=. if mimpch==.
tab mimpch1,m


gen monch=0
replace monch=1 if mimpch1==1&fimpch1==0
replace monch=. if mimpch==.|fimpch==.
tab monch,m


gen bothch=0
replace bothch=1 if mimpch1==1&fimpch1==1
replace bothch=. if mimpch==.|fimpch==.
tab bothch,m

gen nonech=0
replace nonech=1 if mimpch1==0&fimpch1==0
replace nonech=. if mimpch==.|fimpch==.
tab nonech,m

gen fonch=0
replace fonch=1 if fimpch1==1&mimpch1==0
replace fonch=. if mimpch==.|fimpch==.
tab fonch,m



gen catch=0
replace catch=1 if bothch==1
replace catch=2 if monch==1
replace catch=3 if fonch==1
replace catch=4 if nonech==1
replace catch=. if mimpch==.|fimpch==.
tab catch,m

 
 
regress fagr2 mwrk10 fwrk10 mar10 dur10 hinc10 east10 par10 c.mfw10##i.educcat c.ffw10##i.educcat

 
 
 
sort fimpch1

by fimpch1: regress fagr2 ffw10 mfw10 mwrk10 fwrk10 mar10 dur10 hinc10 msch310 fsch310 east10 par10


regress fagr2 mwf10 fwf10 mwrk10 fwrk10 mar10 dur10 hinc10 msch310 fsch310 east10 pre10





*/ value of children

gen mvalch1=.
replace mvalch1=bce2i1_10 if sex_gen_10==1
replace mvalch1=pbce2i1_10 if psex_gen_10==1
replace mvalch1=. if bce2i1_10==7|bce2i1_10==-2|pbce2i1_10==7|pbce2i1_10==-2|bce2i1_10==-9|pbce2i1_10==-9
tab mvalch1,m


gen mvalch2=.
replace mvalch2=bce2i2_10 if sex_gen_10==1
replace mvalch2=pbce2i2_10 if psex_gen_10==1
replace mvalch2=. if bce2i2_10==7|bce2i2_10==-2|pbce2i2_10==7|pbce2i2_10==-2|bce2i2_10==-9|pbce2i2_10==-9
tab mvalch2,m

gen mvalch3=.
replace mvalch3=bce2i3_10 if sex_gen_10==1
replace mvalch3=pbce2i3_10 if psex_gen_10==1
replace mvalch3=. if bce2i3_10==7|bce2i3_10==-2|pbce2i3_10==7|pbce2i3_10==-2|bce2i3_10==-9|pbce2i3_10==-9
tab mvalch3,m

gen mvalch4=.
replace mvalch4=bce2i4_10 if sex_gen_10==1
replace mvalch4=pbce2i4_10 if psex_gen_10==1
replace mvalch4=. if bce2i4_10==7|bce2i4_10==-2|pbce2i4_10==7|pbce2i4_10==-2|bce2i4_10==-9|pbce2i4_10==-9
tab mvalch4,m


gen mvalch5=.
replace mvalch5=bce2i5_10 if sex_gen_10==1
replace mvalch5=pbce2i5_10 if psex_gen_10==1
replace mvalch5=. if bce2i5_10==7|bce2i5_10==-2|pbce2i5_10==7|pbce2i5_10==-2|bce2i5_10==-9|pbce2i5_10==-9
tab mvalch5,m


gen mvalchtot=.
replace mvalchtot=[mvalch1+mvalch2+mvalch3+mvalch4+mvalch5]/5
replace mvalchtot=. if mvalch1==.|mvalch2==.|mvalch3==.|mvalch4==.|mvalch5==.
tab mvalchtot,m


gen fvalch1=.
replace fvalch1=bce2i1_10 if sex_gen_10==2
replace fvalch1=pbce2i1_10 if psex_gen_10==2
replace fvalch1=. if bce2i1_10==7|bce2i1_10==-2|pbce2i1_10==7|pbce2i1_10==-2|bce2i1_10==-9|pbce2i1_10==-9
tab fvalch1,m


gen fvalch2=.
replace fvalch2=bce2i2_10 if sex_gen_10==2
replace fvalch2=pbce2i2_10 if psex_gen_10==2
replace fvalch2=. if bce2i2_10==7|bce2i2_10==-2|pbce2i2_10==7|pbce2i2_10==-2|bce2i2_10==-9|pbce2i2_10==-9
tab fvalch2,m

gen fvalch3=.
replace fvalch3=bce2i3_10 if sex_gen_10==2
replace fvalch3=pbce2i3_10 if psex_gen_10==2
replace fvalch3=. if bce2i3_10==7|bce2i3_10==-2|pbce2i3_10==7|pbce2i3_10==-2|bce2i3_10==-9|pbce2i3_10==-9
tab fvalch3,m

gen fvalch4=.
replace fvalch4=bce2i4_10 if sex_gen_10==2
replace fvalch4=pbce2i4_10 if psex_gen_10==2
replace fvalch4=. if bce2i4_10==7|bce2i4_10==-2|pbce2i4_10==7|pbce2i4_10==-2|bce2i4_10==-9|pbce2i4_10==-9
tab fvalch4,m


gen fvalch5=.
replace fvalch5=bce2i5_10 if sex_gen_10==2
replace fvalch5=pbce2i5_10 if psex_gen_10==2
replace fvalch5=. if bce2i5_10==7|bce2i5_10==-2|pbce2i5_10==7|pbce2i5_10==-2|bce2i5_10==-9|pbce2i5_10==-9
tab fvalch5,m



gen fvalchtot=.
replace fvalchtot=[fvalch1+fvalch2+fvalch3+fvalch4+fvalch5]/5
replace fvalchtot=. if fvalch1==.|fvalch2==.|fvalch3==.|fvalch4==.|fvalch5==.
tab fvalchtot,m


gen mvalchn=0
replace mvalchn=1 if mvalchtot>3&mvalchtot~=.
replace mvalchn=. if mvalchtot==.
tab mvalchn,m



gen fvalchn=0
replace fvalchn=1 if fvalchtot>3&fvalchtot~=.
replace fvalchn=. if fvalchtot==.
tab fvalchn,m



*/ other group


gen mvalch6=.
replace mvalch6=bce2i6_10 if sex_gen_10==1
replace mvalch6=pbce2i6_10 if psex_gen_10==1
replace mvalch6=. if bce2i6_10==7|bce2i6_10==-2|pbce2i6_10==7|pbce2i6_10==-2|bce2i6_10==-9|pbce2i6_10==-9
tab mvalch6,m


gen mvalch7=.
replace mvalch7=bce2i7_10 if sex_gen_10==1
replace mvalch7=pbce2i7_10 if psex_gen_10==1
replace mvalch7=. if bce2i7_10==7|bce2i7_10==-2|pbce2i7_10==7|pbce2i7_10==-2|bce2i7_10==-9|pbce2i7_10==-9
tab mvalch7,m

gen mvalch8=.
replace mvalch8=bce2i8_10 if sex_gen_10==1
replace mvalch8=pbce2i8_10 if psex_gen_10==1
replace mvalch8=. if bce2i8_10==7|bce2i8_10==-2|pbce2i8_10==7|pbce2i8_10==-2|bce2i8_10==-9|pbce2i8_10==-9
tab mvalch8,m

gen mvalch9=.
replace mvalch9=bce2i9_10 if sex_gen_10==1
replace mvalch9=pbce2i9_10 if psex_gen_10==1
replace mvalch9=. if bce2i9_10==7|bce2i9_10==-2|pbce2i9_10==7|pbce2i9_10==-2|bce2i9_10==-9|pbce2i9_10==-9
tab mvalch9,m


gen mvalch10=.
replace mvalch10=bce2i10_10 if sex_gen_10==1
replace mvalch10=pbce2i10_10 if psex_gen_10==1
replace mvalch10=. if bce2i10_10==7|bce2i10_10==-2|pbce2i10_10==7|pbce2i10_10==-2|bce2i10_10==-9|pbce2i10_10==-9
tab mvalch10,m


gen mvalchtot2=.
replace mvalchtot2=[mvalch6+mvalch7+mvalch8+mvalch9+mvalch10]/5
replace mvalchtot2=. if mvalch6==.|mvalch7==.|mvalch8==.|mvalch9==.|mvalch10==.
tab mvalchtot2,m


gen fvalch6=.
replace fvalch6=bce2i6_10 if sex_gen_10==2
replace fvalch6=pbce2i6_10 if psex_gen_10==2
replace fvalch6=. if bce2i6_10==7|bce2i6_10==-2|pbce2i6_10==7|pbce2i6_10==-2|bce2i6_10==-9|pbce2i6_10==-9
tab fvalch6,m


gen fvalch7=.
replace fvalch7=bce2i7_10 if sex_gen_10==2
replace fvalch7=pbce2i7_10 if psex_gen_10==2
replace fvalch7=. if bce2i7_10==7|bce2i7_10==-2|pbce2i7_10==7|pbce2i7_10==-2|bce2i7_10==-9|pbce2i7_10==-9
tab fvalch7,m

gen fvalch8=.
replace fvalch8=bce2i8_10 if sex_gen_10==2
replace fvalch8=pbce2i8_10 if psex_gen_10==2
replace fvalch8=. if bce2i8_10==7|bce2i8_10==-2|pbce2i8_10==7|pbce2i8_10==-2|bce2i8_10==-9|pbce2i8_10==-9
tab fvalch8,m

gen fvalch9=.
replace fvalch9=bce2i9_10 if sex_gen_10==2
replace fvalch9=pbce2i9_10 if psex_gen_10==2
replace fvalch9=. if bce2i9_10==7|bce2i9_10==-2|pbce2i9_10==7|pbce2i9_10==-2|bce2i9_10==-9|pbce2i9_10==-9
tab fvalch9,m


gen fvalch10=.
replace fvalch10=bce2i10_10 if sex_gen_10==2
replace fvalch10=pbce2i10_10 if psex_gen_10==2
replace fvalch10=. if bce2i10_10==7|bce2i10_10==-2|pbce2i10_10==7|pbce2i10_10==-2|bce2i10_10==-9|pbce2i10_10==-9
tab fvalch10,m


gen fvalchtot2=.
replace fvalchtot2=[fvalch6+fvalch7+fvalch8+fvalch9+fvalch10]/5
replace fvalchtot2=. if fvalch6==.|fvalch7==.|fvalch8==.|fvalch9==.|fvalch10==.
tab fvalchtot2,m




gen mvalchn2=0
replace mvalchn2=1 if mvalchtot2>3&mvalchtot2~=.
replace mvalchn2=. if mvalchtot2==.
tab mvalchn2,m



gen fvalchn2=0
replace fvalchn2=1 if fvalchtot2>3&fvalchtot2~=.
replace fvalchn2=. if fvalchtot2==.
tab fvalchn2,m



gen mwffchn=.
replace mwffchn=mwf10*fvalchn
replace mwffchn=. if mwf10==.|fvalchn==.
tab mwffchn,m


gen fwffchn=.
replace fwffchn=fwf10*fvalchn
replace fwffchn=. if fwf10==.|fvalchn==.
tab fwffchn,m


gen mwfmchn=.
replace mwfmchn=mwf10*mvalchn
replace mwfmchn=. if mwf10==.|mvalchn==.
tab mwfmchn,m


gen fwfmchn=.
replace fwfmchn=fwf10*mvalchn
replace fwfmchn=. if fwf10==.|mvalchn==.
tab fwfmchn,m


gen mfwfchn=.
replace mfwfchn=mfw10*fvalchn
replace mfwfchn=. if mfw10==.|fvalchn==.
tab mfwfchn,m


gen ffwfchn=.
replace ffwfchn=ffw10*fvalchn
replace ffwfchn=. if ffw10==.|fvalchn==.
tab ffwfchn,m


gen mfwmchn=.
replace mfwmchn=mfw10*mvalchn
replace mfwmchn=. if mfw10==.|mvalchn==.
tab mfwmchn,m


gen ffwmchn=.
replace ffwmchn=ffw10*mvalchn
replace ffwmchn=. if ffw10==.|mvalchn==.
tab ffwmchn,m


gen mwffchn2=.
replace mwffchn2=mwf10*fvalchn2
replace mwffchn2=. if mwf10==.|fvalchn2==.
tab mwffchn2,m


gen fwffchn2=.
replace fwffchn2=fwf10*fvalchn2
replace fwffchn2=. if fwf10==.|fvalchn2==.
tab fwffchn2,m


gen mwfmchn2=.
replace mwfmchn2=mwf10*mvalchn2
replace mwfmchn2=. if mwf10==.|mvalchn2==.
tab mwfmchn2,m


gen fwfmchn2=.
replace fwfmchn2=fwf10*mvalchn2
replace fwfmchn2=. if fwf10==.|mvalchn2==.
tab fwfmchn2,m


gen mfwfchn2=.
replace mfwfchn2=mfw10*fvalchn2
replace mfwfchn2=. if mfw10==.|fvalchn2==.
tab mfwfchn2,m


gen ffwfchn2=.
replace ffwfchn2=ffw10*fvalchn2
replace ffwfchn2=. if ffw10==.|fvalchn2==.
tab ffwfchn2,m


gen mfwmchn2=.
replace mfwmchn2=mfw10*mvalchn2
replace mfwmchn2=. if mfw10==.|mvalchn2==.
tab mfwmchn2,m


gen ffwmchn2=.
replace ffwmchn2=ffw10*mvalchn2
replace ffwmchn2=. if ffw10==.|mvalchn2==.
tab ffwmchn2,m



*/ social pressure


gen fparpres=.
replace fparpres=frt10i2_10 if sex_gen_10==2
replace fparpres=pfrt10i2_10 if psex_gen_10==2
replace fparpres=. if frt10i2_10==-1|frt10i2_10==-2|frt10i2_10==-3|pfrt10i2_10==-1|pfrt10i2_10==-2|pfrt10i2_10==-3
tab fparpres,m


gen fparpres2=0
replace fparpres2=1 if fparpres>=3&fparpres~=.
replace fparpres2=. if fparpres==.
tab fparpres2,m



gen mparpres=.
replace mparpres=frt10i2_10 if sex_gen_10==1
replace mparpres=pfrt10i2_10 if psex_gen_10==1
replace mparpres=. if frt10i2_10==-1|frt10i2_10==-2|frt10i2_10==-3|pfrt10i2_10==-1|pfrt10i2_10==-2|pfrt10i2_10==-3
tab mparpres,m


gen mparpres2=0
replace mparpres2=1 if mparpres>=3&mparpres~=.
replace mparpres2=. if mparpres==.
tab mparpres2,m



*/ interactions


gen mwf10mar=0
replace mwf10mar=mwf10*mar10
replace mwf10mar=. if mwf10==.|mar10==.
tab mwf10mar,m



gen mfw10mar=0
replace mfw10mar=mfw10*mar10
replace mfw10mar=. if mfw10==.|mar10==.
tab mfw10mar,m



gen fwf10mar=0
replace fwf10mar=fwf10*mar10
replace fwf10mar=. if fwf10==.|mar10==.
tab fwf10mar,m



gen ffw10mar=0
replace ffw10mar=ffw10*mar10
replace ffw10mar=. if ffw10==.|mar10==.
tab ffw10mar,m



*/ influence of social environment


gen fsocsp1=.
replace fsocsp1=frt20i1_10 if sex_gen_10==2
replace fsocsp1=pfrt20i1_10 if psex_gen_10==2
replace fsocsp1=. if frt20i1_10==-1|frt20i1_10==-2|frt20i1_10==7|pfrt20i1_10==-1|pfrt20i1_10==-2|pfrt20i1_10==7|frt20i1_10==-3|pfrt20i1_10==-3
tab fsocsp1,m


gen msocsp1=.
replace msocsp1=frt20i1_10 if sex_gen_10==1
replace msocsp1=pfrt20i1_10 if psex_gen_10==1
replace msocsp1=. if frt20i1_10==-1|frt20i1_10==-2|frt20i1_10==7|pfrt20i1_10==-1|pfrt20i1_10==-2|pfrt20i1_10==7|frt20i1_10==-3|pfrt20i1_10==-3
tab msocsp1,m



gen fsocsp2=0
replace fsocsp2=1 if fsocsp1>=3&fsocsp1~=.
replace fsocsp2=. if fsocsp1==.
tab fsocsp2,m

gen msocsp2=0
replace msocsp2=1 if msocsp1>=3&msocsp1~=.
replace msocsp2=. if msocsp1==.
tab msocsp2,m






save "E:\usbdrive7siyah64gb_1\bethsabbaticalproject\agrpaper1.dta"


